## org.apache.ivy.plugins.repository
Interface ResourceDownloader

    public interface ResourceDownloader

A `ResourceDownloader` is able to download a Resource to a File.

Depending on the implementation, the downloader may also choose to download checksums automatically and check the consistency of the downloaded resource.

The implementation is also responsible for using a .part file during download, to ensure the destination file will exist only if the download is completed successfully.

Method Summary
`void` `download(Artifact artifact, Resource resource, java.io.File dest)`

Method Detail

### download

    void download(Artifact artifact,
                  Resource resource,
                  java.io.File dest)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`